package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.entity.EducationalPortrait;
import com.lightinit.hsdatashow.entity.PublicSecurity;
import com.lightinit.hsdatashow.model.admin.EducationalPortraitListModel;
import com.lightinit.hsdatashow.model.admin.GroupNameAndValueModel;
import com.lightinit.hsdatashow.model.admin.SpreadListModel;
import com.lightinit.hsdatashow.model.admin.TrafficTravelListModel;

import java.util.List;

public interface IPublishService {
    EducationalPortraitListModel getEducationalPortrait();

    GroupNameAndValueModel getGreening();

    EducationalPortraitListModel geHealthCarePlan();

    List<PublicSecurity> gePublicSecurity();

    TrafficTravelListModel getTrafficTravel();
}
